@import 'styles/sass/styles.scss';

.start_player_form {
    width: 500px;
    height: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #1F0D3F;
    border: 1px solid #BB65FF;
    box-shadow: 0px 0px 15px #6429CD, inset 0px 0px 20px rgba(189, 189, 255, 0.2);
    border-radius: 25px;
    // row-gap: 1rem;

    &_name {
        width: 80%;
        height: 35%;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        row-gap: .5rem;
    }

    &_label {
        &_name {
            width: 70%;
            margin: 0 auto;
            font-style: normal;
            font-weight: 700;
            font-size: 14px;
            color: $txt-white;
        }


    }

    &_text {
        width: 70%;
        margin: 0 auto;
        background: rgba(100, 41, 205, 0.08);
        border: 1px solid #BB65FF;
        border-radius: 100px;
        padding: 4px 4px 4px 15px;
        color: $txt-white;

        &:focus {
            outline: none;
            border: 1px solid #BB65FF;
        }
    }

    &_rol {
        width: 80%;
        height: 20%;
        margin: 0 auto;
        display: flex;
        justify-content: center;
        align-items: center;
        column-gap: 2rem;

    }

    &_radio {
        position: absolute;
        width: 20px;
        height: 20px;
        border: 2px solid #BB65FF;
        background-color: rgba(100, 41, 205, 0.3);
        border-radius: 100%;
        right: 14px;
        cursor: pointer;

        &--e {
            right: 18px;
        }

        &--active {
            position: absolute;
            width: 12px;
            height: 12px;
            right: 18px;
            background-color: #BB65FF;
            border-radius: 100%;
            cursor: pointer;

            &--e {
                right: 18px;
            }

        }


    }

    &_btn {
        width: 100px;
        margin: 0 auto;
        border: none;
        border-radius: 50px;
        padding: 5px;
        background: #F6F7FC;
        color: $txt-purple;
        font-family: Arial, Helvetica, sans-serif;
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        margin-top: 1rem;

        &--disable {
            background-color: $btn-bg-color-white-disable;
            color: rgba(157, 157, 161, 0.6);
        }
    }
}